> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference.md).

# API Reference

- [Finger](https://handtracking.lightbuzz.com/api-reference/finger.md): Represents a finger with all its relevant joints.
- [Index](https://handtracking.lightbuzz.com/api-reference/finger/index.md): Represents an index finger with all its relevant joints.
- [Middle](https://handtracking.lightbuzz.com/api-reference/finger/middle.md): Represents a middle finger with all its relevant joints.
- [Palm](https://handtracking.lightbuzz.com/api-reference/finger/palm.md): Represents a palm finger with all its relevant joints.
- [Pinky](https://handtracking.lightbuzz.com/api-reference/finger/pinky.md): Represents a pinky finger with all its relevant joints.
- [Ring](https://handtracking.lightbuzz.com/api-reference/finger/ring.md): Represents a ring finger with all its relevant joints.
- [Thumb](https://handtracking.lightbuzz.com/api-reference/finger/thumb.md): Represents a thumb with all its relevant joints.
- [FingerJoint](https://handtracking.lightbuzz.com/api-reference/fingerjoint.md): Represents a finger joint.
- [FingerJointType](https://handtracking.lightbuzz.com/api-reference/fingerjointtype.md): The enumeration representing the supported finger joint types.
- [Hand](https://handtracking.lightbuzz.com/api-reference/hand.md): Represents a human hand.
- [HandExtensions](https://handtracking.lightbuzz.com/api-reference/handextensions.md): Extension methods for the Hand class.
- [HandSide](https://handtracking.lightbuzz.com/api-reference/handside.md): The enumeration representing the hand side.
- [HandTracker](https://handtracking.lightbuzz.com/api-reference/handtracker.md): Detects hands in an image.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
